const {Artboard, RootNode, Rectangle, root} = require("scenegraph");
const interactions = require("interactions");

function triggerBugFunction(selection) { 

	const indexedInteractions = interactions.allInteractions;

	console.log("hello world");
	for (let i = 0; i < indexedInteractions.length; i++) {
      const node = indexedInteractions[i].triggerNode;
      const artboard = getParentArtboard(node);
	  console.log(indexedInteractions[i].triggerNode.name, "is in", artboard ? artboard.name : "no artboard");
	}
	console.log("interactions dumped")
}


 function getParentArtboard(node) {
	
    if (node instanceof Artboard) {
      return node; // it's an artboard
    }
	
	if (!node.parent) {
		return null;
	}

    return getParentArtboard(node.parent);
  }

module.exports = {
    commands: {
        triggerBug: triggerBugFunction
    }
};